# Class BaseParam

#### Direct known subclasses

Thelia\Core\Template\BaseParam\Secure
Abstract
Namespace: Thelia\Tpex\BaseParam
Located at core/lib/Thelia/Tpex/BaseParam/BaseParam.php

Methods summary
`final public` | # `__construct( Symfony\Component\HttpFoundation\Request $request, mixed $baseParamValue )`
`public Symfony\Component\HttpFoundation\Request` | # `getRequest( )` #### Returns `Symfony\Component\HttpFoundation\Request`
`abstract public` | # `exec( )`

Properties summary
`protected Symfony\Component\HttpFoundation\Request` | $request | `` | #
`protected mixed` | $baseParamValue | `` | # value containing by the #PARAM_BASE_* value containing by the #PARAM_BASE_*